#!/bin/sh
# queryProperty demo script
#
#    arg 1 is SOURCE
#    arg 2 is NAME
#    arg 3 is VALUE, a '-' to send the current value to stdout
#    arg 4,5 are optional qualifying attributes

queryProperty SMBIOS Manufacturer Intel type="2" info="Base Board Information"
if [ $? -eq 0 ]
then
    echo "not an Intel system - aborting ..."
    addLogRecord queryPropertyDemo.sh CRITICAL "not an Intel system - aborting ..."
else
    echo Intel system discovered ...
    addLogRecord queryPropertyDemo.sh INFO "Intel system detected."
fi
